dpkg-divert not found

Bug #1252305 reported by dino99 on 2013-11-18
46
This bug affects 5 people
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Critical
Martin Pitt

Bug Description

I've experienced that issue while i was trying to install a package, and got apport failing to report.

Removing all DKMS Modules
Done.
Unpacking replacement nvidia-331-uvm ...
Setting up nvidia-331-uvm (331.20-0ubuntu1) ...
Loading new nvidia-331-uvm-331.20 DKMS files...
Building only for 3.12.0-2-generic
Building for architecture i686
Building initial module for 3.12.0-2-generic
Traceback (most recent call last):
  File "/usr/share/apport/package-hooks/dkms_packages.py", line 42, in <module>
    package=packaging.get_file_package('/usr/src/' + options.module + '-' + options.version)
  File "/usr/lib/python3/dist-packages/apport/packaging_impl.py", line 341, in get_file_package
    stdout=subprocess.PIPE, stderr=subprocess.PIPE)
  File "/usr/lib/python3.3/subprocess.py", line 824, in __init__
    restore_signals, start_new_session)
  File "/usr/lib/python3.3/subprocess.py", line 1448, in _execute_child
    raise child_exception_type(errno_num, err_msg)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/sbin/dpkg-divert'
Error! Bad return status for module build on kernel: 3.12.0-2-generic (i686)
Consult /var/lib/dkms/nvidia-331-uvm/331.20/build/make.log for more information.

In fact, that dpkg-divert package is found into /usr/bin/, not into /usr/sbin/ where apport thinks it is.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: apport 2.12.6-0ubuntu1
ProcVersionSignature: Ubuntu 3.12.0-2.7-generic 3.12.0
Uname: Linux 3.12.0-2-generic i686
NonfreeKernelModules: nvidia
ApportLog:

ApportVersion: 2.12.6-0ubuntu1
Architecture: i386
CrashReports:
 640:1000:1000:29078:2013-11-18 15:47:03.391680717 +0100:2013-11-18 15:49:04.227682433 +0100:/var/crash/_usr_share_apport_apport-gtk.0.crash
 640:1000:1000:9753:2013-11-18 15:46:53.267680406 +0100:2013-11-18 15:48:31.111681943 +0100:/var/crash/_usr_share_apport_package-hooks_dkms_packages.py.0.crash
Date: Mon Nov 18 16:03:56 2013
InstallationDate: Installed on 2013-10-25 (24 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release i386 (20131021.1)
MarkForUpload: True
PackageArchitecture: all
SourcePackage: apport
UpgradeStatus: No upgrade log present (probably fresh install)

dino99 (9d9) wrote :
dino99 (9d9) wrote :
dino99 (9d9) wrote :
Anders Kaseorg (andersk) on 2013-11-18
Changed in apport (Ubuntu):
status: New → Confirmed
Martin Pitt (pitti) wrote :

Indeed, dpkg recently dropped /usr/sbin/dpkg-divert, need to adjust apport to that. Thanks!

Changed in apport (Ubuntu):
importance: Undecided → Critical
status: Confirmed → Fix Committed
assignee: nobody → Martin Pitt (pitti)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 2.12.7-0ubuntu1

---------------
apport (2.12.7-0ubuntu1) trusty; urgency=low

  [ Martin Pitt ]
  * New upstream release:
    - Properly fall back to lsb_release if /etc/os-release is invalid.
    - report.py, add_proc_info(): Add "CurrentDesktop" field with the value of
      $XDG_CURRENT_DESKTOP, if present. (LP: #1247904)
    - fileutils.py, get_all_system_reports(): Filter out "guest..." users,
      they might have a system UID. (LP: #1250679)
    - apt/dpkg: Don't call dpkg-divert with full path, it moved in Ubuntu
      14.04. (LP: #1252305)
  * launchpad.py: Ignore "MarkForUpload" field, it's just for internal
    communication with whoopsie.

  [ Andy Whitcroft ]
  * package-hooks/source_linux.py: pull forward fix to generify linux-meta
    to linux mapping. (LP: #1229611)
  * package-hooks/source_linux.py: pull forward kernel tagging for
    linux-lts- family kernels. (LP: #1229611)
 -- Martin Pitt <email address hidden> Tue, 19 Nov 2013 09:11:53 +0100

Changed in apport (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers